
import Panel from "../views/Panel";
export default class SharePanel extends Panel {

    public get skinKey() { return 'Share' }
	public get groupName() { return 'share_panel'}
    constructor(data?){
        super(data);
    }

    start(data?):void{
        this.percentHeight = 100;
    }

    initEvents():void{
        this.addEventListener(egret.TouchEvent.TOUCH_TAP, this.hidePanel, this);
    }

    removeEvents():void{
        this.removeEventListener(egret.TouchEvent.TOUCH_TAP, this.hidePanel, this);
    }
}